Index: contrib/crossrpms/rtems4.9/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/arm/Makefile.am	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/arm/Makefile.am	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -18,7 +18,7 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.6
+GDB_VERS = 6.7
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 1%{?dist}
+GDB_RPMREL = 2%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/arm/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/arm/gdb-sources.add	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/arm/gdb-sources.add	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -7,2 +7,5 @@
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
 %endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
+%endif
Index: contrib/crossrpms/rtems4.9/arm/rtems-4.9-arm-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/arm/rtems-4.9-arm-rtems4.9-gdb.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/arm/rtems-4.9-arm-rtems4.9-gdb.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.6
-%define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
+%define gdb_version 6.7
+%define gdb_rpmvers %{expand:%(echo 6.7 | tr - _)} 
 
 Name:		rtems-4.9-arm-rtems4.9-gdb
@@ -21,5 +21,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	2%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -50,4 +50,7 @@
 %if "%{gdb_version}" == "6.6"
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
 
Index: contrib/crossrpms/rtems4.9/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/avr/Makefile.am	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/avr/Makefile.am	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -17,7 +17,7 @@
 include ../gcc.am
 
-GDB_VERS = 6.6
+GDB_VERS = 6.7
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 1%{?dist}
+GDB_RPMREL = 2%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/avr/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/avr/gdb-sources.add	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/avr/gdb-sources.add	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -7,2 +7,5 @@
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
 %endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
+%endif
Index: contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-gcc.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-gcc.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -76,4 +76,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.1-rtems4.8-20070804.diff
+%endif
+%if "%{gcc_version}" == "4.2.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.2-rtems4.9-20071011.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-gdb.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-gdb.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.6
-%define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
+%define gdb_version 6.7
+%define gdb_rpmvers %{expand:%(echo 6.7 | tr - _)} 
 
 Name:		rtems-4.9-avr-rtems4.9-gdb
@@ -21,5 +21,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	2%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -50,4 +50,7 @@
 %if "%{gdb_version}" == "6.6"
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
 
Index: contrib/crossrpms/rtems4.9/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/Makefile.am	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/h8300/Makefile.am	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -18,7 +18,7 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.6
+GDB_VERS = 6.7
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 1%{?dist}
+GDB_RPMREL = 2%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/h8300/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/gdb-sources.add	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/h8300/gdb-sources.add	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -7,2 +7,5 @@
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
 %endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
+%endif
Index: contrib/crossrpms/rtems4.9/h8300/rtems-4.9-h8300-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/rtems-4.9-h8300-rtems4.9-gdb.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/h8300/rtems-4.9-h8300-rtems4.9-gdb.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.6
-%define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
+%define gdb_version 6.7
+%define gdb_rpmvers %{expand:%(echo 6.7 | tr - _)} 
 
 Name:		rtems-4.9-h8300-rtems4.9-gdb
@@ -21,5 +21,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	2%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -50,4 +50,7 @@
 %if "%{gdb_version}" == "6.6"
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
 
Index: contrib/crossrpms/rtems4.9/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/i386/Makefile.am	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/i386/Makefile.am	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -18,7 +18,7 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.6
+GDB_VERS = 6.7
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 1%{?dist}
+GDB_RPMREL = 2%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/i386/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/i386/gdb-sources.add	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/i386/gdb-sources.add	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -7,2 +7,5 @@
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
 %endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
+%endif
Index: contrib/crossrpms/rtems4.9/i386/rtems-4.9-i386-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/i386/rtems-4.9-i386-rtems4.9-gdb.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/i386/rtems-4.9-i386-rtems4.9-gdb.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.6
-%define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
+%define gdb_version 6.7
+%define gdb_rpmvers %{expand:%(echo 6.7 | tr - _)} 
 
 Name:		rtems-4.9-i386-rtems4.9-gdb
@@ -21,5 +21,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	2%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -50,4 +50,7 @@
 %if "%{gdb_version}" == "6.6"
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
 
Index: contrib/crossrpms/rtems4.9/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/Makefile.am	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/m68k/Makefile.am	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -18,7 +18,7 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.6
+GDB_VERS = 6.7
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 1%{?dist}
+GDB_RPMREL = 2%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/m68k/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/gdb-sources.add	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/m68k/gdb-sources.add	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -7,2 +7,5 @@
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
 %endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
+%endif
Index: contrib/crossrpms/rtems4.9/m68k/rtems-4.9-m68k-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/rtems-4.9-m68k-rtems4.9-gdb.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/m68k/rtems-4.9-m68k-rtems4.9-gdb.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.6
-%define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
+%define gdb_version 6.7
+%define gdb_rpmvers %{expand:%(echo 6.7 | tr - _)} 
 
 Name:		rtems-4.9-m68k-rtems4.9-gdb
@@ -21,5 +21,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	2%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -50,4 +50,7 @@
 %if "%{gdb_version}" == "6.6"
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
 
Index: contrib/crossrpms/rtems4.9/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/mips/Makefile.am	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/mips/Makefile.am	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -18,7 +18,7 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.6
+GDB_VERS = 6.7
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 1%{?dist}
+GDB_RPMREL = 2%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/mips/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/mips/gdb-sources.add	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/mips/gdb-sources.add	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -7,2 +7,5 @@
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
 %endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
+%endif
Index: contrib/crossrpms/rtems4.9/mips/rtems-4.9-mips-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/mips/rtems-4.9-mips-rtems4.9-gdb.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/mips/rtems-4.9-mips-rtems4.9-gdb.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.6
-%define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
+%define gdb_version 6.7
+%define gdb_rpmvers %{expand:%(echo 6.7 | tr - _)} 
 
 Name:		rtems-4.9-mips-rtems4.9-gdb
@@ -21,5 +21,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	2%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -50,4 +50,7 @@
 %if "%{gdb_version}" == "6.6"
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
 
Index: contrib/crossrpms/rtems4.9/mipstx39/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/mipstx39/Makefile.am	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/mipstx39/Makefile.am	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -6,7 +6,7 @@
 
 # We only want a gdb with a tx39 simulator in it.  We share the other tools
-GDB_VERS = 6.6
+GDB_VERS = 6.7
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 1%{?dist}
+GDB_RPMREL = 2%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/mipstx39/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/mipstx39/gdb-sources.add	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/mipstx39/gdb-sources.add	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -7,2 +7,5 @@
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
 %endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
+%endif
Index: contrib/crossrpms/rtems4.9/mipstx39/rtems-4.9-mipstx39-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/mipstx39/rtems-4.9-mipstx39-rtems4.9-gdb.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/mipstx39/rtems-4.9-mipstx39-rtems4.9-gdb.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.6
-%define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
+%define gdb_version 6.7
+%define gdb_rpmvers %{expand:%(echo 6.7 | tr - _)} 
 
 Name:		rtems-4.9-mipstx39-rtems4.9-gdb
@@ -21,5 +21,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	2%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -50,4 +50,7 @@
 %if "%{gdb_version}" == "6.6"
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
 
Index: contrib/crossrpms/rtems4.9/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/Makefile.am	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/powerpc/Makefile.am	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -18,7 +18,7 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.6
+GDB_VERS = 6.7
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 1%{?dist}
+GDB_RPMREL = 2%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/powerpc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/gdb-sources.add	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/powerpc/gdb-sources.add	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -7,2 +7,5 @@
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
 %endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
+%endif
Index: contrib/crossrpms/rtems4.9/powerpc/rtems-4.9-powerpc-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/rtems-4.9-powerpc-rtems4.9-gdb.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/powerpc/rtems-4.9-powerpc-rtems4.9-gdb.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.6
-%define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
+%define gdb_version 6.7
+%define gdb_rpmvers %{expand:%(echo 6.7 | tr - _)} 
 
 Name:		rtems-4.9-powerpc-rtems4.9-gdb
@@ -21,5 +21,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	2%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -50,4 +50,7 @@
 %if "%{gdb_version}" == "6.6"
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
 
Index: contrib/crossrpms/rtems4.9/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/sh/Makefile.am	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/sh/Makefile.am	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -18,7 +18,7 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.6
+GDB_VERS = 6.7
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 1%{?dist}
+GDB_RPMREL = 2%{?dist}
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.9/sh/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/sh/gdb-sources.add	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/sh/gdb-sources.add	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -7,2 +7,5 @@
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
 %endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
+%endif
Index: contrib/crossrpms/rtems4.9/sh/rtems-4.9-sh-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/sh/rtems-4.9-sh-rtems4.9-gdb.spec	(revision 5c30f679e9206dcc4ec5e05d0e2b3f6f25a67dd3)
+++ contrib/crossrpms/rtems4.9/sh/rtems-4.9-sh-rtems4.9-gdb.spec	(revision ee54f23c7fd69aa036be72ac1439bc47c0f99bf2)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.6
-%define gdb_rpmvers %{expand:%(echo 6.6 | tr - _)} 
+%define gdb_version 6.7
+%define gdb_rpmvers %{expand:%(echo 6.7 | tr - _)} 
 
 Name:		rtems-4.9-sh-rtems4.9-gdb
@@ -21,5 +21,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	2%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -50,4 +50,7 @@
 %if "%{gdb_version}" == "6.6"
 Patch0:		gdb-6.6-rtems4.8-20070306.diff
+%endif
+%if "%{gdb_version}" == "6.7"
+Patch0:		gdb-6.7-rtems4.9-20071011.diff
 %endif
 
